UbixOS V2 2.0

Macros | Functions
perf.h File Reference
`#include <ubixos/times.h>`
Include dependency graph for perf.h:

Go to the source code of this file.

## Macros
#define | PERF_START /* null definition */
#define | PERF_STOP(x) /* null definition */

## Functions
void | perf_init (char *fname)
void | perf_print (unsigned long c1l, unsigned long c1h, unsigned long c2l, unsigned long c2h, char *key)
void | perf_print_times (struct tms *start, struct tms *end, char *key)

## Macro Definition Documentation

## ◆ PERF_START

#define PERF_START /* null definition */

Definition at line 20 of file perf.h.

## ◆ PERF_STOP

#define PERF_STOP | ( |  | x | ) | /* null definition */

Definition at line 21 of file perf.h.

## Function Documentation

## ◆ perf_init()

void perf_init | ( | char * | fname | ) |

## ◆ perf_print()

void perf_print | ( | unsigned long | c1l,
|  | unsigned long | c1h,
|  | unsigned long | c2l,
|  | unsigned long | c2h,
|  | char * | key
| ) |  |

## ◆ perf_print_times()

void perf_print_times | ( | struct tms * | start,
|  | struct tms * | end,
|  | char * | key
| ) |  |